Subject: A different proposed sol'n to * NS

From: Edward Lewis <[email-masked]>
Date: Thu, 10 Feb 2005 11:07:42 -0500

[ Moderators note: Post was moderated, either because it was posted by 
   a non-subscriber, or because it was over 20K.  
   With the massive amount of spam, it is easy to miss and therefore 
   delete relevant posts by non-subscribers. Please fix your 
   subscription addresses. ]

Putting up an alternative solution to the one I proposed a day or so 
ago, this time taking the tack that we cancel synthesis if the source 
of synthesis owns an NS RRSet.

The upside of this approach is that it needs to change one section of 
text.  The downside is that it is changing more text in RFC 1034.

Here's the RFC 1034 text (omitting a page break) with the CNAME 
"chasing text" in there.

#         c. If at some label, a match is impossible (i.e., the
#            corresponding label does not exist), look to see if a
#            the "*" label exists.
#
#            If the "*" label does not exist, check whether the name
#            we are looking for is the original QNAME in the query
#            or a name we have followed due to a CNAME.  If the name
#            is original, set an authoritative name error in the
#            response and exit.  Otherwise just exit.
#
#            If the "*" label does exist, match RRs at that node
#            against QTYPE.  If any match, copy them into the answer
#            section, but set the owner of the RR to be QNAME, and
#            not the node with the "*" label.  Go to step 6.
|
|            If the data at the source of synthesis is a CNAME, and
|            QTYPE doesn't match CNAME, copy the CNAME RR into the
|            answer section of the response changing the owner name
|            to the QNAME, change QNAME to the canonical name in the
|            CNAME RR, and go back to step 1.

So, the new fix would be add this:

              If the source of synthesis is a also a delegation point,
              i.e., it owns an NS RRset, do not match any RRsets.

(Note that the order of instructions is not the way one should write code.)

What this does is cancel concerns about wildcard NS and wildcard DS.  (Yipee.)

-- 
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
Edward Lewis                                                +1-571-434-5468
NeuStar

"A noble spirit embiggens the smallest man." - Jebediah Springfield

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>